<?php
/**
 * @copyright  2009-2011 Roberto Perpuly
 *
 * This source may not be redistributed without prior consent.  Access to the 
 * source does not imply that you have consent to redistribute either this source
 * code or the generated binary. See LICENSE file for details.
 */

/**
 * This namespace will contain all array related functions.
 */
namespace oparray;

/**
 * Add the contents (via a array_push) of src into dest. After a call to this function, $dest will have
 * all of items that $src has.
 *
 * @param $dest array where items will be placed.   The array is modified in place.
 * @param $src array to get the items to insert. If src is not an array, this function does nothing
 */
function append(&$dest, $src) {
	if (!is_array($src)) {
		return;
	}
	foreach ($src as $item) {
		array_push($dest, $item);
	}
}